﻿using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Repository.service
{
    public interface ProdPlanExecuteUserService : IBaseService<ProdPlanExecuteUser>
    {
        /// <summary>
        /// 根据计划号和批次号删除所有执行信息
        /// </summary>
        /// <param name="planCode"></param>
        /// <param name="batch"></param>
        /// <returns></returns>
        bool DeleteByPlanCodeAndTheBatchNumber(string planCode, int batch);
    }
}
